# Uses of Interface
io.dapr.v1.DaprProtos.BulkStateItemOrBuilder

Packages that use DaprProtos.BulkStateItemOrBuilder
Package
Description
io.dapr.v1

## Uses of DaprProtos.BulkStateItemOrBuilder in io.dapr.v1

Classes in io.dapr.v1 that implement DaprProtos.BulkStateItemOrBuilder
Modifier and Type
Class
Description
`static final class`
`DaprProtos.BulkStateItem`
BulkStateItem is the response item for a bulk get operation.
`static final class`
`DaprProtos.BulkStateItem.Builder`
BulkStateItem is the response item for a bulk get operation.
Methods in io.dapr.v1 that return DaprProtos.BulkStateItemOrBuilder
Modifier and Type
Method
Description
`DaprProtos.BulkStateItemOrBuilder`
DaprProtos.GetBulkStateResponse.Builder.`getItemsOrBuilder(int index)`
The list of items containing the keys to get values for.
`DaprProtos.BulkStateItemOrBuilder`
DaprProtos.GetBulkStateResponse.`getItemsOrBuilder(int index)`
The list of items containing the keys to get values for.
`DaprProtos.BulkStateItemOrBuilder`
DaprProtos.GetBulkStateResponseOrBuilder.`getItemsOrBuilder(int index)`
The list of items containing the keys to get values for.
Methods in io.dapr.v1 that return types with arguments of type DaprProtos.BulkStateItemOrBuilder
Modifier and Type
Method
Description
`List<? extends DaprProtos.BulkStateItemOrBuilder>`
DaprProtos.GetBulkStateResponse.Builder.`getItemsOrBuilderList()`
The list of items containing the keys to get values for.
`List<? extends DaprProtos.BulkStateItemOrBuilder>`
DaprProtos.GetBulkStateResponse.`getItemsOrBuilderList()`
The list of items containing the keys to get values for.
`List<? extends DaprProtos.BulkStateItemOrBuilder>`
DaprProtos.GetBulkStateResponseOrBuilder.`getItemsOrBuilderList()`
The list of items containing the keys to get values for.